Download it now!
Bug 135032 - Not Redact E-mail address by Automatic Redaction
Summary: Not Redact E-mail address by Automatic Redaction
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.1.0 target:7.0.1 target:6.4....
Keywords:
Depends on:
Blocks: Redaction
  Show dependency treegraph
 
Reported: 2020-07-22 00:56 UTC by sawakaze
Modified: 2020-08-09 20:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ScreenCast (1.77 MB, video/x-matroska)
2020-07-22 00:57 UTC, sawakaze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2020-07-22 00:56:50 UTC
Description:
After following step, not redact e-mail address.
detail is screencast(attachment)


Steps to Reproduce:
1. open writer document including e-mail address 
2. tools > Auto-Redact
-> popup "Automatic Redaction" dialog
3. press "Add Target"
-> popup Add target" dialog
4. set Name and type to "Predefined" and content to "Email addresses"
5. press OK on "Add Target" dialog.
-> add item Redaction Targets List
6. press OK on "Automatic Redaction"
-> launch Draw application, but email address is not redacted.

Actual Results:
email address is not redacted.
On attachment video, my e-mail address (souichirho@gmail.com) is not redacted.


Expected Results:
email address is redacted.
On attachment video, my e-mail address (souichirho@gmail.com) is redacted.


Reproducible: Always


User Profile Reset: No



Additional Info:
ip-address is redacted on attachment video.

I confirm 
Version: 7.1.0.0.alpha0+
Build ID: 9006cbf6a13317a386194d6857f22391464c2aa0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: ja-JP (ja_JP.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-07-16_00:51:18
Calc: threaded

OS: Linux Ubuntu MATE
Desktop env. MATE
Comment 1 sawakaze 2020-07-22 00:57:20 UTC
Created attachment 163388 [details]
ScreenCast
Comment 2 nogajun 2020-07-22 10:21:47 UTC
Reproduce it.

Version: 7.0.0.1
Build ID: 04ba7e3f1e51af6c5d653e543a620e36719083fd
CPU threads: 1; OS:Linux 5.7; UI render: default; VCL: gtk3
Locale: ja-JP (ja_JP.UTF-8); UI: ja-JP
Calc: threaded
Comment 3 Julien Nabet 2020-07-22 10:46:28 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I just noticed this on console when clicking Ok button.
Comment 4 nogajun 2020-07-22 10:58:19 UTC
It seems to only uppercase letters.

https://opengrok.libreoffice.org/xref/core/sfx2/inc/SfxRedactionHelper.hxx?r=dca81737#129
Comment 5 Julien Nabet 2020-07-22 11:45:27 UTC
I noticed that emails were working if the email was in full uppercase.

Let's take a try with https://gerrit.libreoffice.org/c/core/+/99216. It takes into account emails in lowercase.
Comment 6 Commit Notification 2020-07-23 08:16:58 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/26357bcb3838698e041d7079105144dfb72856e1

tdf#135032: autoredaction, take into account emails in lowercase

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Julien Nabet 2020-07-23 08:19:31 UTC
Cherry-pick for 7.0 waiting for review here:
https://gerrit.libreoffice.org/c/core/+/99209
Comment 8 Commit Notification 2020-07-23 10:57:35 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/6360bea26ddc8e4d42c2f0c50b4f3974a07a8ce4

tdf#135032: autoredaction, take into account emails in lowercase

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-07-27 13:48:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b8e61e79067e476911e173356c5fdbbeafba0a6c

tdf#135032: autoredaction, take into account emails in lowercase

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-07-29 18:21:18 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-0":

https://git.libreoffice.org/core/commit/81f52a41e5b7cd2d90297c1d5988624155a28f31

tdf#135032: autoredaction, take into account emails in lowercase

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-08-06 14:11:15 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-6":

https://git.libreoffice.org/core/commit/39e3b3c9afa5438f30f8e7ee3950b517a2dad55f

tdf#135032: autoredaction, take into account emails in lowercase

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 BogdanB 2020-08-09 20:04:52 UTC
It's ok now

Verified in
Version: 7.0.0.3
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded